App\Entity\Prospect:
    exclusion_policy: all
    properties:
        id:
            groups: [grid, all, broadcast]
            max_depth: 1
        domain:
            groups: [grid, all, broadcast]
            max_depth: 3
        status:
            groups: [grid, all, broadcast]
            max_depth: 1
        categories:
            groups: [grid, all, broadcast]
            max_depth: 1
        negotiationMessages:
            groups: []
            max_depth: 1
        comment:
            groups: [grid, all, broadcast]
            max_depth: 1
        type:
            groups: [grid, all, broadcast]
            max_depth: 1
        guidelines:
            groups: [grid, all]
            max_depth: 1
        score:
            groups: [grid, all, broadcast]
            max_depth: 1
        problems:
            groups: [grid, all]
            max_depth: 1
        researches:
            groups: [grid, all, broadcast]
            max_depth: 1
        name:
            groups: [grid, all, broadcast]
            max_depth: 1
        phone:
            groups: [grid, all, broadcast]
            max_depth: 1
        mobile:
            groups: [grid, all, broadcast]
            max_depth: 1
        email:
            groups: [grid, all, broadcast]
            max_depth: 1
        country:
            groups: [grid, all, broadcast]
            max_depth: 1
        currency:
            groups: [grid, all, broadcast]
            max_depth: 1
        createdAt:
            groups: [all]
            max_depth: 1
        updatedAt:
            groups: [all]
            max_depth: 1
    virtual_properties:
        getMostRecentAgreedPrice:
            groups: [grid, all, broadcast]
            max_depth: 1
        getLinksCount:
            groups: [grid, all, broadcast]
            max_depth: 1